Loading...
 

What should I know before upgrading to Plesk 9.0?


Below are a list of known problems with upgrading to Plesk 9.0:

Universal:

  • Upgrading from Plesk 9 Beta to Plesk Panel 9 will not be supported
  • Plesk 9.0 backup/restore function does not restore Virtual Directories
  • Third-party skins from earlier versions of Plesk are not compatible with Parallels Plesk Panel 9.0. After you upgrade to Parallels Plesk Panel 9.0 all third-party skins will become unregistered
  • Language packs for earlier versions of Plesk are not compatible with Parallels Plesk Panel 9
  • Parallels Plesk Panel cannot be installed if the installation path contains non-ASCII symbols
  • At least 700Mb of disk space is required to run both Plesk 9.0 and Sitebuilder inside of the same VE
  • Parallels Plesk Panel does not automatically detect third-party components. After a new third-party component is installed, you need to go to Parallels Plesk Panel > Server Components and click Refresh
  • Plesk 9.0 cannot be installed if AVG Antivirus is in use on the server
  • When Plesk 9.0 is installed with Plesk Billing 6.0 the server is setup to use the Single-Sign On service. If the Single-Sign On service stops working you will be unable to log into Plesk. You will need to disable the SSO service using the command:


%pleskroot%/admin/bin/sso d http://download1.parallels.com/Plesk/Plesk8.3/Doc/en-US/plesk-8.3-win-cli/52574.htm

  • SmarterStats user is created with the credentials of a corresponding domain FTP user. It should be noted though that SmarterStats user password will contain only alphanumeric characters and '_' symbol used in place of all non-alphanumeric characters
  • Parallels Plesk Panel cannot be installed if the installation path contains non-ASCII symbols
  • You must ensure a reseller or client role has at least one usable IP assigned to their account before attempting to create a domain for that user
  • Language packs for earlier versions of Plesk are not compatible with Parallels Plesk Panel 9


Mail:

  • Selecting Auto Delete Trash option in Atmail settings will prevent possible issues with inability to remove messages through Atmail Webmail Light 1.0
  • When upgrading from 8.2 or earlier Horde webmail settings are not available
  • SMTP sessions are not blocked by DNSBL if you are using Smartermail Free 5.0, 5.1 or 5.5. To resolve this issue, set up SMTP sessions blocking by DNSBL in the Smartermail mail server settings


Windows:

  • Windows 2003 SP1 or later is required for Plesk Firewall functionality
  • Kaspersky Antivirus is not available for installation on Windows 2008
  • Acronis True Image Enterprise Server is not available for installation on Windows 2008
  • An error message occurs if you attempt to install Microsoft SQL Server 2005 when the installation path is more than 57 characters long: see http://support.microsoft.com/kb/935371 for details
  • If RPC Over HTTP Proxy feature is enabled in Windows 2008 you will experience IIS Application pool crashes
  • If an external Sitebuilder system is integrated with your Parallels Plesk Panel server, your customers will not be able to access Sitebuilder through Parallels Plesk Panel if they use Internet Explorer with default security settings. To resolve this issue, make sure that both Parallels Plesk Panel and Sitebuilder are located in one subnet. You can also tell your customers to go through the following procedures:


1. Open Internet Explorer and go to Tools > Internet Options > Privacy > Sites.
2. Enter the address of the external Sitebuilder system in the Address of Web Site field and click Allow.